org.apache.hadoop.mapreduce.v2.app.commit

## Class CommitterJobAbortEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<CommitterEventType>
  - - org.apache.hadoop.mapreduce.v2.app.commit.CommitterEvent
    - - org.apache.hadoop.mapreduce.v2.app.commit.CommitterJobAbortEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<CommitterEventType>

      public class CommitterJobAbortEvent
      extends CommitterEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitterJobAbortEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID, org.apache.hadoop.mapreduce.JobContext jobContext, org.apache.hadoop.mapreduce.JobStatus.State finalState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapreduce.JobStatus.State` | `getFinalState()`
    `org.apache.hadoop.mapreduce.JobContext` | `getJobContext()`
    `org.apache.hadoop.mapreduce.v2.api.records.JobId` | `getJobID()`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitterJobAbortEvent

          public CommitterJobAbortEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID,
                                        org.apache.hadoop.mapreduce.JobContext jobContext,
                                        org.apache.hadoop.mapreduce.JobStatus.State finalState)

  - ### Method Detail

    - #### getJobID

          public org.apache.hadoop.mapreduce.v2.api.records.JobId getJobID()

    - #### getJobContext

          public org.apache.hadoop.mapreduce.JobContext getJobContext()

    - #### getFinalState

          public org.apache.hadoop.mapreduce.JobStatus.State getFinalState()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.